FROM debian:buster-slim
RUN apt-get update -y
RUN apt-get install wget -y
RUN apt-get install gpg -y
RUN wget -qO- https://packages.microsoft.com/keys/microsoft.asc | gpg --dearmor > microsoft.asc.gpg
RUN mv microsoft.asc.gpg /etc/apt/trusted.gpg.d/
RUN wget -q https://packages.microsoft.com/config/debian/9/prod.list
RUN mv prod.list /etc/apt/sources.list.d/microsoft-prod.list
RUN chown root:root /etc/apt/trusted.gpg.d/microsoft.asc.gpg
RUN chown root:root /etc/apt/sources.list.d/microsoft-prod.list
RUN apt-get update -y
RUN apt-get install apt-transport-https -y
RUN apt-get update
RUN apt-get install dotnet-sdk-3.1 -y
#RUN apt-get install subversion -y
RUN mkdir commontools
RUN mkdir /efs
RUN cd commontools
WORKDIR /commontools
copy . /commontools/.
RUN dotnet build -c Release
RUN ls /commontools/bin/Release/netcoreapp3.1/
ENTRYPOINT ["dotnet","/commontools/bin/Release/netcoreapp3.1/LAPS-CommonTools-Service.dll"]